/* --------------------------------------------------------------------------
        IPTransactionNetwork.h

        Copyright (C) 2004 Jason Weiler, All Rights Reserved
   -------------------------------------------------------------------------- */


#ifndef _IPTRANSACTIONNETWORK_H_
#define _IPTRANSACTIONNETWORK_H_


class IPTransactionNetwork
{
public:
	IPTransactionNetwork();
	
	virtual ~IPTransactionNetwork() {};

	virtual long Startup();
	virtual void Shutdown();

	virtual bool Connect() = 0;
	virtual void Disconnect() = 0;
	virtual bool SendTransaction(const class CDataBuffer & sendBuf,
									CDataBuffer & replyBuf) = 0;

	virtual void SetServerPort(unsigned long ulServerIP,
								unsigned short usPort) 
								{
									m_ulServerIP = ulServerIP;
								 	m_usPort = usPort;
								}
	
protected:
	unsigned long m_ulServerIP;
	unsigned short m_usPort;

	SOCKET m_Socket;
	SOCKADDR_IN m_SocketAddr;
};

#endif // _IPTRANSACTIONNETWORK_H_


