/* --------------------------------------------------------------------------
        IPTransactionNetworkFactory.h

        Copyright (C) 2004 Jason Weiler, All Rights Reserved
   -------------------------------------------------------------------------- */

#ifndef _IPTRANSACTIONNETWORKFACTORY_H_
#define _IPTRANSACTIONNETWORKFACTORY_H_

// if one of the transaction network objects is never going be used in this
//  project, define the "don't use" symbol and it will be compiled out

#ifndef _DONT_USE_TCPIPTRANSACTIONNETWORK_
#include "TCPTransactionNetwork.h"
#endif

#ifndef _DONT_USE_UDPIPTRANSACTIONNETWORK_
#include "UDPTransactionNetwork.h"
#endif

extern IPTransactionNetwork * CreateIPTransactionNetwork(unsigned long type);
extern void DestroyIPTransactionNetwork(IPTransactionNetwork * pDeadNetwork);

#endif // _IPTRANSACTIONNETWORKFACTORY_H_


