/* --------------------------------------------------------------------------
        TCPIPTransactionNetwork.h

        Copyright (C) 2004 Jason Weiler, All Rights Reserved
   -------------------------------------------------------------------------- */

#ifndef _TCPTRANSACTIONNETWORK_H_
#define _TCPTRANSACTIONNETWORK_H_

const unsigned long IPTRANSACTIONNETWORK_TCP = (1);

class DataBuffer_t;

#include <windows.h>
#include "IPTransactionNetwork.h"

class TCPTransactionNetwork : public IPTransactionNetwork
{
public:
	virtual bool Connect();
	virtual void Disconnect();
	virtual bool SendTransaction(const CDataBuffer & sendBuf, CDataBuffer & replyBuf);


protected:

	static unsigned long RECV_TIMEOUT_LENGTH;

};

#endif // _TCPTRANSACTIONNETWORK_H_


