/* --------------------------------------------------------------------------
        IPTransactionNetwork.cpp

        Copyright (C) 2004 Jason Weiler, All Rights Reserved
   -------------------------------------------------------------------------- */

#include <windows.h>

#include "IPTransactionNetwork.h"

IPTransactionNetwork::IPTransactionNetwork() :
m_Socket(INVALID_SOCKET),
m_ulServerIP(INADDR_NONE),
m_usPort(0)
{
	memset(&m_SocketAddr, 0, sizeof(m_SocketAddr));

	return;
}

long IPTransactionNetwork::Startup()
{
	WORD wVersionRequested = MAKEWORD(1,1);
	WSADATA wsaData;
	if (WSAStartup(wVersionRequested, &wsaData) != 0)
	{
		// failure to start simple WinSock
		return -1;
	}

	return 0;
}

void IPTransactionNetwork::Shutdown()
{
	WSACleanup();
	return;
}

