/* --------------------------------------------------------------------------
        UDPTransactionNetwork.h

        Copyright (C) 2004 Jason Weiler, All Rights Reserved
   -------------------------------------------------------------------------- */

#ifndef _UDPTRANSACTIONNETWORK_H_
#define _UDPTRANSACTIONNETWORK_H_

const unsigned long IPTRANSACTIONNETWORK_UDP = (0);

#include <windows.h>
#include "IPTransactionNetwork.h"

class UDPTransactionNetwork : public IPTransactionNetwork
{
public:
	virtual bool Connect();
	virtual void Disconnect();
	virtual bool SendTransaction(const class CDataBuffer & sendBuf,
									CDataBuffer & replyBuf);

protected:

	static unsigned long RECVFROM_TIMEOUT_LENGTH;
};

#endif // _UDPTRANSACTIONNETWORK_H_

